PUT /api/v2/submissions/{factFindSession_uuid}/account/{account_uuid}

Path parameters

  • factFindSession_uuid string Required
  • account_uuid string Required

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • fact_find_answers object

      All fact find questions under the submission, including previous values and block-level answers

      Hide fact_find_answers attributes Show fact_find_answers attributes object
      • fact_find_question object
        Hide fact_find_question attributes Show fact_find_question attributes object
        • uuid object
          Hide uuid attributes Show uuid attributes object
          • example string
          • description string
          • collection boolean
        • created_at object
          Hide created_at attributes Show created_at attributes object
          • example string
          • description string
          • collection boolean
        • updated_at object
          Hide updated_at attributes Show updated_at attributes object
          • example string
          • description string
          • collection boolean
        • field_name object
          Hide field_name attributes Show field_name attributes object
          • example string
          • description string
          • collection boolean
        • position object
          Hide position attributes Show position attributes object
          • example string
          • description string
          • collection boolean
        • is_required object
          Hide is_required attributes Show is_required attributes object
          • example string
          • description string
          • collection boolean
        • is_visible object
          Hide is_visible attributes Show is_visible attributes object
          • example string
          • description string
          • collection boolean
        • always_required object
          Hide always_required attributes Show always_required attributes object
          • example string
          • description string
          • collection boolean
        • has_conditional object
          Hide has_conditional attributes Show has_conditional attributes object
          • example string
          • description string
          • collection boolean
        • condition_type object
          Hide condition_type attributes Show condition_type attributes object
          • example string
          • description string
          • collection boolean
      • answer string
      • previous_value string
      • block string
PUT /api/v2/submissions/{factFindSession_uuid}/account/{account_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/submissions/6ff8f7f6-1eb3-3525-be4a-3932c805afed/account/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (201)
{
  "uuid": "3a605052-485e-4e6a-9297-01e883154308",
  "created_at": "2026-05-08T14:41:56+01:00",
  "updated_at": "2026-05-08T14:41:56+01:00",
  "fact_find_answers": {
    "fact_find_question": {
      "uuid": {
        "example": "fb67d53d-ba06-41c5-b33a-2752b287ab81",
        "description": "The UUID of the resource.",
        "collection": false
      },
      "created_at": {
        "example": "2026-05-08T14:41:56+01:00",
        "description": "The timestamp of when the resource was created.",
        "collection": false
      },
      "updated_at": {
        "example": "2026-05-08T14:41:56+01:00",
        "description": "The timestamp of when the resource was updated.",
        "collection": false
      },
      "field_name": {
        "example": "Field Name",
        "description": "The name of the field.",
        "collection": false
      },
      "position": {
        "example": "Position",
        "description": "The position/order of this question within the block.",
        "collection": false
      },
      "is_required": {
        "example": "Is Required",
        "description": "Bool to indicate if the question is required.",
        "collection": false
      },
      "is_visible": {
        "example": "Is Visible",
        "description": "Bool to indicate if the question is visible.",
        "collection": false
      },
      "always_required": {
        "example": "Always Required",
        "description": "Bool indicating the underlying database column is NOT NULL; the template builder must not allow this question to be hidden or made non-required.",
        "collection": false
      },
      "has_conditional": {
        "example": "Has Condition",
        "description": "Bool to indicate if the question has any conditions.",
        "collection": false
      },
      "condition_type": {
        "example": "Condition Type",
        "description": "ALL/ANY.",
        "collection": false
      }
    },
    "answer": "Stored Answer (if any)",
    "previous_value": "Extracted previous value from account or block even if no question exists",
    "block": "The Block enum the question belongs to"
  }
}